BpGraph::RedNodeIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BpGraph::RedNodeIt Class Reference

## Detailed Description

This iterator goes through each red node of the graph. Its usage is quite simple, for example, you can count the number of red nodes in a graph `g` of type `BpGraph` like this:

* int count=0;
* for (BpGraph::RedNodeIt n(g); n!=INVALID; ++n) ++count;
*

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::RedNodeIt:
[legend]

## Public Member Functions
| RedNodeIt ()
| Default constructor. More...
| RedNodeIt (const RedNodeIt &n)
| Copy constructor. More...
| RedNodeIt (Invalid)
| Invalid constructor & conversion. More...
| RedNodeIt (const BpGraph &)
| Sets the iterator to the first red node. More...
| RedNodeIt (const BpGraph &, const RedNode &)
| Sets the iterator to the given red node. More...
RedNodeIt & | operator++ ()
| Next node. More...
Public Member Functions inherited from BpGraph::RedNode
| RedNode ()
| Default constructor. More...
| RedNode (const RedNode &)
| Copy constructor. More...
| RedNode (Invalid)
| Invalid constructor & conversion. More...
Public Member Functions inherited from BpGraph::Node
| Node ()
| Default constructor. More...
| Node (const Node &)
| Copy constructor. More...
| Node (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Node) const
| Equality operator. More...
bool | operator!= (Node) const
| Inequality operator. More...
bool | operator< (Node) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

RedNodeIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

RedNodeIt | ( | const RedNodeIt & | n | ) |
| inline

Copy constructor.

RedNodeIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

RedNodeIt | ( | const BpGraph & |  | ) |
| inlineexplicit

Sets the iterator to the first red node of the given digraph.

RedNodeIt | ( | const BpGraph & | ,
|  | const RedNode & |
| ) |  |
| inline

Sets the iterator to the given red node of the given digraph.

## Member Function Documentation

RedNodeIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next red node.